# $Revision: 1.13 $, $Date: 2007/01/23 15:47:14 $
# TODO
# - split *.so to subpackages: mysql/dbi/ssl
%define		mod_name	log_sql
%define		apxs		/usr/sbin/apxs1
Summary:	SQL logging module for Apache
Summary(pl):	Modu logowania zapyta do Apache do bazy SQL
Name:		apache1-mod_%{mod_name}
# NOTE: remember about apache-mod_log_sql when updating!
Version:	1.99
Release:	6
License:	Apache (?)
Group:		Networking/Daemons
Source0:	http://www.outoforder.cc/downloads/mod_log_sql/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	e246a3d8e96d2d62715eb34f75c7c11d
Patch0:		mod_%{mod_name}-acam_libexecdir.patch
Patch1:		mod_%{mod_name}-subdirs.patch
URL:		http://www.outoforder.cc/projects/apache/mod_log_sql/
BuildRequires:	%{apxs}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	apache1-mod_ssl-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libdbi-devel >= 0.7.0
BuildRequires:	libtool
BuildRequires:	mysql-devel >= 3.23.30
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	%{apxs}
Requires:	apache1(EAPI)
Obsoletes:	apache-mod_log_sql <= 1.13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
mod_log_sql is a logging module for Apache 1.3 and 2.0 which logs all
requests to a database.

%description -l pl
mod_log_sql jest moduem logujcym dla Apache 1.3 i 2.0, ktry pozwala
na logowanie wszystkich zapyta do bazy danych.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch0 -p0
%patch1 -p1

rm -f docs/{Makefile*,*.xml} contrib/Makefile*

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--with-apxs=%{apxs}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install *.so $RPM_BUILD_ROOT%{_pkglibdir}

echo 'LoadModule %{mod_name}_module	modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- apache1-mod_%{mod_name} < 1.99-2.1
# check that they're not using old apache.conf
if grep -q '^Include conf\.d' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG TODO contrib docs LICENSE
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_log_sql.spec,v $
Revision 1.13  2007/01/23 15:47:14  glen
- rel 6 (R: apache1(EAPI) instead of apache1)

Revision 1.12  2006/04/14 16:50:13  glen
- use %service

Revision 1.11  2006/03/27 12:41:36  glen
- rel 5 (libmysqlclient_15)

Revision 1.10  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.9  2005/10/30 12:19:02  arekm
- rel 4

Revision 1.8  2005/02/15 12:02:22  glen
- rel 3; STBR

Revision 1.7  2005/02/10 01:49:47  glen
- confdir enabled apache1
- added patch to make %install re-entrant

Revision 1.6  2004/09/05 17:18:13  radek
- use "%(%{apxs} -q SYSCONFDIR)" for _sysconfdir definition

Revision 1.5  2004/08/30 19:44:18  qboosh
- BR: ac,am,lt

Revision 1.4  2004/08/30 17:09:21  radek
- added patch0

Revision 1.3  2004/08/30 16:47:51  radek
- regenerated autocrap

Revision 1.2  2004/08/30 16:42:34  radek
- TODO: new config file

Revision 1.1  2004/08/30 16:29:38  radek
- previously called mod_log_mysql; version 1.99

Revision 1.23  2003/09/10 10:52:33  ankry
- rel. 4

Revision 1.22  2003/08/06 16:11:46  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.21  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2002/12/29 01:44:28  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.18  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.17  2002/05/26 15:28:54  kloczek
- use new %doc.

Revision 1.16  2002/04/25 15:46:09  arturs
- fixed a small typo

Revision 1.15  2002/03/26 23:47:23  misiek
- fixed huge bug (zeroing httpd.conf after deinstalation)

Revision 1.14  2002/02/23 01:23:23  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/17 21:07:39  ankry
- release 2

Revision 1.11  2002/02/17 18:52:20  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache
- adapterized

Revision 1.10  2002/01/18 02:12:20  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2002/01/16 21:44:29  mkierus
- updated to 1.13 (many bugfixes)

Revision 1.8  2001/02/16 07:32:10  kloczek
- release 6: rebuild against mysql 3.23.

Revision 1.7  2000/10/18 19:08:10  kloczek
- release 5,
- use new rpm automnation,
- fixed path to registered config file for module in httpd.conf (thanks
  Agnieszka).

Revision 1.6  2000/08/09 18:19:53  kloczek
- release 4.

Revision 1.5  2000/06/16 08:02:25  yaro
- small fix

Revision 1.4  2000/05/17 21:01:20  kloczek
- spec adapterized.
